async function updatePortAnzeige() {
    try {
        const portRes = await fetch("/getPort");
        const portData = await portRes.json();

        const ipRes = await fetch("/getIP");
        const ipData = await ipRes.json();

        const port = parseInt(portData.port);
        const bedrockPortValue = port + 2;

        const portElement = document.querySelector(".ftp-ip-adresse");
        const bedrockPort = document.getElementById("ftp-bedrock-port");

        portElement.textContent = `IP: sftp://${ipData.ip}`;
        bedrockPort.textContent = `Port: ${bedrockPortValue}`;

    } catch (err) {
        console.error("IP/Port konnte nicht geladen werden:", err);
    }
}

// gleich beim Laden aufrufen
updatePortAnzeige();